GET /api/v3/bill/{billId}/billaccountmeter/statistics

Retrieves bill account meter statistics record for a specific billId

GetBillAccountMeterStatisticsByBillIdV3 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId The bill identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillAccountMeterStatisticsResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billingPeriod The bill’s billing period integer (int32)
costPerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
days The number of days the bill covers integer (int32)
demandPerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
endDate The bill’s end date string (date-time)
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
usePerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "beginDate": "2026-03-30",    "billId": 1,    "billingPeriod": 1,    "costPerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    },    "days": 1,    "demandPerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    },    "endDate": "2026-03-30",    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "usePerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    }
  }
]